XStreamUtil (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.util

## Class XStreamUtil<T>

- java.lang.Object
- - com.thoughtworks.xstream.XStream
  - - org.gcube.portlets.user.speciesdiscovery.server.util.XStreamUtil<T>

-     public class XStreamUtil<T>
      extends com.thoughtworks.xstream.XStream

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XStreamUtil.AliasItem`

    - ### Nested classes/interfaces inherited from class com.thoughtworks.xstream.XStream

      `com.thoughtworks.xstream.XStream.InitializationException`

  - ### Field Summary

    - ### Fields inherited from class com.thoughtworks.xstream.XStream

      `ID_REFERENCES, NO_REFERENCES, PRIORITY_LOW, PRIORITY_NORMAL, PRIORITY_VERY_HIGH, PRIORITY_VERY_LOW, SINGLE_NODE_XPATH_ABSOLUTE_REFERENCES, SINGLE_NODE_XPATH_RELATIVE_REFERENCES, XPATH_ABSOLUTE_REFERENCES, XPATH_RELATIVE_REFERENCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XStreamUtil()`
    `XStreamUtil(String aliasName, Class<T> type)`
    `XStreamUtil(XStreamUtil.AliasItem alias, Class<T> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAliasName()`
    `void` | `setAliasName(String aliasName)`

    - ### Methods inherited from class com.thoughtworks.xstream.XStream

      `addDefaultImplementation, addImmutableType, addImplicitArray, addImplicitArray, addImplicitArray, addImplicitCollection, addImplicitCollection, addImplicitCollection, addImplicitMap, addImplicitMap, alias, alias, aliasAttribute, aliasAttribute, aliasField, aliasPackage, aliasSystemAttribute, aliasType, autodetectAnnotations, createObjectInputStream, createObjectInputStream, createObjectInputStream, createObjectOutputStream, createObjectOutputStream, createObjectOutputStream, createObjectOutputStream, createObjectOutputStream, createObjectOutputStream, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, fromXML, getClassLoader, getConverterLookup, getMapper, getReflectionProvider, marshal, marshal, newDataHolder, omitField, processAnnotations, processAnnotations, registerConverter, registerConverter, registerConverter, registerConverter, registerLocalConverter, registerLocalConverter, setClassLoader, setMarshallingStrategy, setMode, setupAliases, setupConverters, setupDefaultImplementations, setupImmutableTypes, toXML, toXML, toXML, unmarshal, unmarshal, unmarshal, useAttributeFor, useAttributeFor, useAttributeFor, useXStream11XmlFriendlyMapper, wrapMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XStreamUtil

          public XStreamUtil(XStreamUtil.AliasItem alias,
                     Class<T> type)

    - #### XStreamUtil

          public XStreamUtil(String aliasName,
                     Class<T> type)

    - #### XStreamUtil

          public XStreamUtil()

  - ### Method Detail

    - #### getAliasName

          public String getAliasName()

    - #### setAliasName

          public void setAliasName(String aliasName)

Copyright © 2013. All Rights Reserved.